%global verrel 1401.01

Name:	minetest-classic
Version:	%{verrel}
Release:	1%{?dist}
Summary:	Fork of Minetest, a multiplayer infinite-world block sandbox with survival mode

Group:		Amusements/Games
License:	GPLv3
URL:		http://wwww.minetest-classic.com
Source0:	http://minetest-classic.com/downloads/%{name}-%{verrel}-src.tar.bz2
#Source1:    %{name}.desktop

BuildRequires:	 cmake irrlicht-devel bzip2-devel gettext-devel libsqlite3x-devel
BuildRequires:   libpng-devel libjpeg-turbo-devel libXxf86vm-devel mesa-libglapi
BuildRequires:   desktop-file-utils
Requires:	hicolor-icon-theme

%description
Game of mining, crafting and building in the infinite world of cubic blocks.
Features both single and networked multiplayer mode. A fork of minetest (http://www.minetest.net)

%prep
%setup -q -n %{name}-%{verrel}-src


%build
cmake -DBUILD_SERVER=0 -DRUN_IN_PLACE=0
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_bindir}
cp -p %{buildroot}%{_prefix}/local/bin/%{name} %{buildroot}%{_bindir}

# scalable icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -p minetest-icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

# 24x24 icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
cp -p minetest-icon-24x24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps

# add desktop file
#desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
/bin/touch --no-create %{_datadir}/icons/24x24 &>/dev/null


%postun
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/24x24 &>/dev/null


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_prefix}/local/*
#%{_datadir}/%{name}
#%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/minetest-icon.svg
%{_datadir}/icons/hicolor/24x24/apps/minetest-icon-24x24.png


%doc README.txt doc/changelog.txt doc/gpl-3.0.txt doc/mapformat.txt doc/mapformat.txt


%changelog
* Sat Jan 18 2014 Ye Myat Kaung <mavjs01@gmail.com> - 1401.1-1
- Initial package of client for Fedora.

